> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://fiftytwo-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://fiftytwo-demo.ferndocs.com/_mcp/server.

# Get article list by ID and chain

GET https://api.fiftytwo.com/masterdata/articlelists/v1/chain/{chainId}/{ArticleListId}



Reference: https://fiftytwo-demo.ferndocs.com/api/master-data/reference/article-lists/get-article-list-by-id-and-chain

## Request

### Path parameters

- `ArticleListId` (long, required) — The ID of the article list to retrieve
- `chainId` (integer, required) — The ID of the chain

## Response

### 200

Success

- `articleLists` (list of ArticleListsArticleListsItems, required)

## Errors

### 400 Bad Request Error

Bad Request

- `string`

## Types

### ArticleListsArticleListsItems

- `articleListId` (integer, required) — ID of the article list.
- `articles` (list of integer, required) — List of article IDs to associate with the article list.
- `description` (string, optional) — A short text that describes the article list.

## Examples

**Response**

```json
{
  "articleLists": [
    {
      "articleListId": 12345678,
      "articles": [
        1,
        2,
        3,
        4
      ],
      "description": "articleList 12345678"
    },
    {
      "articleListId": 87654321,
      "articles": [
        5,
        6,
        7,
        8
      ],
      "description": "articleList 87654321"
    }
  ]
}
```

**SDK Code**

```python ArticleLists_getArticleListByIdAndChain_example
import requests

url = "https://api.fiftytwo.com/masterdata/articlelists/v1/chain/1/1"

response = requests.get(url)

print(response.json())
```

```javascript ArticleLists_getArticleListByIdAndChain_example
const url = 'https://api.fiftytwo.com/masterdata/articlelists/v1/chain/1/1';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go ArticleLists_getArticleListByIdAndChain_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.fiftytwo.com/masterdata/articlelists/v1/chain/1/1"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby ArticleLists_getArticleListByIdAndChain_example
require 'uri'
require 'net/http'

url = URI("https://api.fiftytwo.com/masterdata/articlelists/v1/chain/1/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java ArticleLists_getArticleListByIdAndChain_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.fiftytwo.com/masterdata/articlelists/v1/chain/1/1")
  .asString();
```

```php ArticleLists_getArticleListByIdAndChain_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.fiftytwo.com/masterdata/articlelists/v1/chain/1/1');

echo $response->getBody();
```

```csharp ArticleLists_getArticleListByIdAndChain_example
using RestSharp;

var client = new RestClient("https://api.fiftytwo.com/masterdata/articlelists/v1/chain/1/1");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift ArticleLists_getArticleListByIdAndChain_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.fiftytwo.com/masterdata/articlelists/v1/chain/1/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```